# std::experimental::ranges::tagged<Base,Tags...>::swap

From cppreference.com
< cpp‎ | experimental‎ | ranges‎ | utility/tagged

constexpr void swap(tagged& rhs) noexcept(/* see below */) requires Swappable <Base>; |  |

Swap the contents of `*this` and `rhs`, as if by ranges::swap (static_cast<Base&>(*this), static_cast<Base&>(rhs));.

### Exceptions

`noexcept` specification:
noexcept(noexcept( ranges::swap ( std::declval <Base&>(), std::declval <Base&>())))

### See also

ranges::swap(ranges::tagged) | specializes `swap` for `tagged` objects (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/ranges/utility/tagged/swap&oldid=105807"